List refunds
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/refunds \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/refunds")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"total": 1,
"page_num": 1,
"page_size": 20,
"records": [
{
"refund_order_id": "refund_...",
"order_id": "order_...",
"refund_amount": 10,
"refund_currency": "USD",
"status": "SUCCESS",
"refund_reason": "Customer request",
"payment_instrument_id": "pi_..."
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}Refunds
List refunds
Lists the refunds of the token’s customer.
GET
/
agent
/
platform
/
refunds
List refunds
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/refunds \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/refunds")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"total": 1,
"page_num": 1,
"page_size": 20,
"records": [
{
"refund_order_id": "refund_...",
"order_id": "order_...",
"refund_amount": 10,
"refund_currency": "USD",
"status": "SUCCESS",
"refund_reason": "Customer request",
"payment_instrument_id": "pi_..."
}
]
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}